# -*- coding: utf-8 -*-
"""
  Copyright 2012-2014 Grégory Soutadé

  This file is part of Dynastie.

  Dynastie is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Dynastie is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Dynastie.  If not, see <http://www.gnu.org/licenses/>.
"""
from dynastie.generators.index import Index
from django.db import models

class Tag(Index):

    def createTag(self, posts, dom, root, node):
        if node.hasAttribute('name'):
            self.replaceByText(dom, root, node, self.cur_tag.name)
        if node.hasAttribute('description'):
            self.replaceByText(dom, root, node, self.cur_tag.description)
        return None

    def generate(self, blog, src, output):
        from dynastie.models import Post, Blog, Tag

        self.cur_tag = None
        self.hooks['tag'] = self.createTag

        dom = self.parseTemplate(blog, src, output, 'tag', 'tag')
        if dom is None: return self.report

        tags = Tag.objects.all()

        for tag in tags:
            self.cur_tag = tag
            posts = Post.objects.filter(tags__in=[tag.id], published=True).order_by('-creation_date')

            self.resetCounters()

            self.dirname = '/tag/' + tag.name_slug

            self.generatePages(dom, posts, src, output, 'tag')

        if not self.somethingWrote:
            self.addReport('Nothing changed')

        return self.report

